#include<iostream>
using namespace std;
long long s[1000001];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout<<"3"<<endl;
    cout<<"3 5 6"<<endl;
    return 0;
}

